<?php if (!defined('PmWiki')) exit();

/*  Copyright 2006 Hans Bracker. 
    This file is tjktoggle.php; you can redistribute it and/or modify
    it under the terms of the Creative Commons license, 
    http://creativecommons.org/licenses/by-nc-sa/2.0/
    You are free:
        * to copy, distribute, display, and perform the work
        * to make derivative works
    Under the following conditions:
      by Attribution. You must give the original author credit.
      Non-Commercial. You may not use this work for commercial purposes.
      Share Alike. If you alter, transform, or build upon this work, you may distribute 
      the resulting work only under a licence identical to this one.
       * For any reuse or distribution, you must make clear to others the licence terms of this work.
       * Any of these conditions can be waived if you get permission from the copyright holder.
    
    tjktoggle.php integrates TJK_ToggleDL by http://www.tjkdesign.com
    into pmwiki, to create FAQ toggle lists using : term : definition markup.
    TJK_ToggleDL is published under the terms of the Creative Commons license,
    http://creativecommons.org/licenses/by-nc-sa/2.0/
    
    Install this file into the Farm/cookbook folder, all other files in the zip
    into the farm/pub/TJK_ToggleDL folder. Add to config.php:
         include_once("$FarmD/cookbook/tjktoggle.php");
    Javascript and css code gets loaded only when (:tjktoggle:) markup is present.
    Edit the css file to load different plus and minus button images etc.
    
    Usage:
    Create definition list with : term : definition markup.
    Insert id into first term like : term %apply=block id=TJK_DL% : definition
    After the list insert markup (:tjktoggle:) which will initialise the javascript, 
    but remain invisible markup.
    Add (above the list) optional buttons to 'Show All' and 'Close All' definitions with
    (:input submit id=TJK_ToggleON value='Open All' class=inputbutton:) and
    (:input submit id=TJK_ToggleOFF value='Close All' class=inputbutton:)
    
    For browsers with no javascript support the buttons will not show, 
    and all definitions will be visible.
    
    Initial release 2006-04-10
*/
define(TJKTOGGLE_VERSION, 2006-04-10);

Markup('tjktoggle','directives','/\\(:tjktoggle:\\)/e', "TJKToggle(\$pagename)"); 

# one function does it all.
function TJKToggle($pagename) {
    global $HTMLHeaderFmt, $HTMLStylesFmt;
$HTMLHeaderFmt['tjktoggle'] = "
    <script type='text/javascript'>
    if (document.getElementById && document.getElementsByTagName){          
    document.write('<link href=\"\$FarmPubDirUrl/TJK_ToggleDL/TJK_ToggleDL.css\" type=\"text/css\" rel=\"stylesheet\" />')
    document.write('<link href=\"\$FarmPubDirUrl/TJK_ToggleDL/TJK_ToggleDL_ie5mac.css\" type=\"text/css\" rel=\"stylesheet\" />')
    }
    </script>
    <script type='text/javascript' src='\$FarmPubDirUrl/TJK_ToggleDL/TJK_ToggleDL.js'></script>
    "; 
$HTMLStylesFmt['tjktoggle'] = "
    #TJK_ToggleON, #TJK_ToggleOFF {display:none}
    ";
$out = "
    <script type='text/javascript' language='javaScript1.2'>
    <!--
      if (TJK_ToggleDL) TJK_ToggleDL();
    --></script> 
    ";
return Keep($out);
}
